[Fedora-packaging] Conflicts when data is moved to a sub-package

Till Maas opensource at till.name
Tue Jul 16 20:41:16 UTC 2013


On Tue, Jul 16, 2013 at 01:07:24AM +0300, Susi Lehtola wrote:
> On Tue, 16 Jul 2013 00:01:13 +0200
> Till Maas <opensource at till.name> wrote:
> 
> > Hi,
> > 
> > it seems to me that
> > https://fedoraproject.org/wiki/Packaging:Conflicts
> > does not cover a case for conflicts that might occur if a package is
> > split. Here is the bug report about the intended split:
> > https://bugzilla.redhat.com/show_bug.cgi?id=952326
> > 
> > Basically dvb-apps currently contains a plaintext file based database
> > in /usr/share/dvb/dvb-t/ which is supposed to provided by a new
> > backage, dtv-scan-tables. Since the individual files might differ,
> > conflicts can occur here, which is why it seems that the new
> > dtv-scan-table package should use "Conflict: dvb-apps <
> > VERSION-RELEASE" for the version/release that does not contain the
> > database anymore to confclit with all previous versions.
> 
> Uhh, isn't this handled by just making both dtv-scan-tables and
> dvb-apps Obsoletes: dvb-apps < VERSION-RELEASE? 

Sorry, I forgot to mention that dvb-apps also contains other content,
such as programs and libs, therefore it will continue to exist. As far
as I understand, Obsoletes would cause dvb-apps to be removed when
dtc-scan-tables is installed. The condition is more: If dtv-scan-tables
is installed, then dvb-apps must not be installed or it must be
installed with at least a certain version/release.

Regards
Till


More information about the packaging mailing list